package pl.psnc.dlibra.app.extension.xml;


/**
 * Test XQuery which has information about the type of the XML file that this query 
 * tests.
 * @version $Id: TestXQuery.java,v 1.1 2007-01-09 06:43:19 tparkola Exp $
 */
public class TestXQuery extends ConversionXQuery
{
	private String fileType = null;
	
	/**
	 * Constructor.
	 * @param query query to perform
	 * @param type type of XML file this query tests
	 */
	public TestXQuery(String query, String type) {
		super(query);
		
		this.fileType = type;
	}
	
	/**
	 * @return the type of XML file this query tests
	 */
	public String getXMLFileType() {
		return fileType;
	}
}
