/**
 * $Id: OperationInProgress.java,v 1.1 2006-05-16 07:59:38 tparkola Exp $
 *
 * Copyright (c) 2002 Poznan Supercomputing and Networking Center
 * 10 Noskowskiego Street, Poznan, Wielkopolska 61-704, Poland
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of
 * Poznan Supercomputing and Networking Center ("Confidential Information").
 * You shall not disclose such Confidential Information and shall use it only
 * in accordance with the terms of the license agreement you entered into
 * with PSNC.
 */
package pl.psnc.dlibra.ps.applet.operation;


/**
 * Represents operation to perform using operation in progress dialog.
 */
public interface OperationInProgress
{
    /**
     * The operation to perform.
     * @param manager manager to control operation in progress dialog appearance
     */
    public void doOperation(OperationInProgressManager manager);
}
