package pl.psnc.dlibra.ps.applet.viewer;


import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;

import javax.swing.JComponent;
import javax.swing.JFrame;
import javax.swing.JPanel;

public class PublicationViewerPanelTester {
	
	public JComponent createMainGUI()
	{
		final JPanel panel = new JPanel();
		final GridBagLayout gl = new GridBagLayout();
		final GridBagConstraints gc = new GridBagConstraints();
		
		panel.setLayout(gl);
		
		panel.add(createTopLeft(panel, gl));
		panel.add(createDownLeft(panel, gl));
		panel.add(createErrorPage(panel, gl));
		panel.add(createDownRight(panel, gl));
		
		return panel;
	}
	
	private JPanel createTopLeft(final JPanel panel, final GridBagLayout gl)
	{
		final PublicationViewerPanel viewer = new PublicationViewerPanel();
		final GridBagConstraints gc = new GridBagConstraints();		
		
		gc.gridx = 0;
		gc.gridy = 0;
		gl.setConstraints(viewer, gc);
		
		return viewer;
	}
	
	private JPanel createErrorPage(final JPanel panel, final GridBagLayout gl)
	{
		final PublicationViewerPanel viewer = new PublicationViewerPanel();
		final GridBagConstraints gc = new GridBagConstraints();
				
		viewer.setLang("en");
		viewer.setInitialParameters("/Content/23/dlibra.htm", "36D81FD5EE6850287E478796B62C841F");
	//	viewer.showErrorPage(new FileNotFoundException("ble śćżąąąęłóćźż"));
		
		gc.gridx = 0;
		gc.gridy = 1;
		gl.setConstraints(viewer, gc);
		
		return viewer;
	}
	
	private JPanel createDownLeft(final JPanel panel, final GridBagLayout gl)
	{
		final PublicationViewerPanel viewer = new PublicationViewerPanel();
		final GridBagConstraints gc = new GridBagConstraints();
		
		viewer.showConnectingPage();
		
		gc.gridx = 0;
		gc.gridy = 2;
		gl.setConstraints(viewer, gc);
		
		return viewer;
	}
	
	private JPanel createDownRight(final JPanel panel, final GridBagLayout gl)
	{
		final PublicationViewerPanel viewer = new PublicationViewerPanel();
		final GridBagConstraints gc = new GridBagConstraints();
		viewer.setLang("en");
		
		viewer.showErrorPage(new Throwable("test error: śźćżłó"));
		
		gc.gridx = 0;
		gc.gridy = 3;
		gl.setConstraints(viewer, gc);
		
		return viewer;
	}
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		final JFrame frame = new JFrame("test");
		final PublicationViewerPanelTester tester = new PublicationViewerPanelTester();
		
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.getContentPane().add(tester.createMainGUI());
		frame.pack();
		frame.setVisible(true);
	}

}
