package pl.psnc.dlibra.app.extension.fh.jpg;


public class FileInfo
implements Comparable<FileInfo>
{
	private final String filePath;
	private String description = "";
	private String comment = "";
	private Integer position;

	public FileInfo(String filePath) {
		this.filePath = filePath;
	}

	public String getDescription()
	{
		return description;
	}


	public void setDescription(String description)
	{
		this.description = description;
	}


	public String getComment()
	{
		return comment;
	}


	public void setComment(String comment)
	{
		this.comment = comment;
	}

	@Override
	public String toString() {
		return filePath.toString();
	}


	public String getFilePath()
	{
		return filePath;
	}


	public void setPosition(Integer valueOf)
	{
		this.position = valueOf;
	}



	public Integer getPosition()
	{
		return position;
	}

	@Override
	public int compareTo(FileInfo o)
	{
		return this.getPosition().compareTo(o.getPosition());
	}
}
