package pl.psnc.dlibra.content.conversion;


public class QualityProperty
{

	private static final int DEFAULT_DPI = 100;

	private String rdfName;

	private String value;

	private int width;

	private int height;

	private int dpi;


	public QualityProperty(String rdfName, String value, int width, int height)
	{
		this(rdfName, value, width, height, DEFAULT_DPI);
	}


	public QualityProperty(String rdfName, String value, int width, int height,
			int dpi)
	{
		this.setRdfName(rdfName);
		this.setValue(value);
		this.setWidth(width);
		this.setHeight(height);
		this.setDpi(dpi);
	}


	public String getRdfName()
	{
		return rdfName;
	}


	public void setRdfName(String rdfName)
	{
		this.rdfName = rdfName;
	}


	public String getValue()
	{
		return value;
	}


	public void setValue(String value)
	{
		this.value = value;
	}


	public int getWidth()
	{
		return width;
	}


	public void setWidth(int width)
	{
		this.width = width;
	}


	public int getHeight()
	{
		return height;
	}


	public void setHeight(int height)
	{
		this.height = height;
	}


	public int getDpi()
	{
		return dpi;
	}


	public void setDpi(int dpi)
	{
		this.dpi = dpi;
	}
}